Package org.apache.catalina.valves.rewrite

## Class InternalRewriteMap

- java.lang.Object
- - org.apache.catalina.valves.rewrite.InternalRewriteMap

-     public class InternalRewriteMap
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `InternalRewriteMap.Escape` |
    `static class` | `InternalRewriteMap.LowerCase` |
    `static class` | `InternalRewriteMap.Unescape` |
    `static class` | `InternalRewriteMap.UpperCase` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InternalRewriteMap()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RewriteMap` | `toMap​(java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalRewriteMap

          public InternalRewriteMap()

  - ### Method Detail

    - #### toMap

          public static RewriteMap toMap​(java.lang.String name)